- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# tcpmon_entry.h File Reference

represent entry of tcpmon More...

`#include <axutil_env.h>`
`#include <axutil_string.h>`

Go to the source code of this file.

## Classes
struct | tcpmon_entry_ops
struct | tcpmon_entry
## Defines
#define | TCPMON_ENTRY_FREE(entry, env) ((entry)->ops->free (entry, env))
#define | TCPMON_ENTRY_ARRIVED_TIME(entry, env) ((entry)->ops->arrived_time(entry, env))
#define | TCPMON_ENTRY_SENT_TIME(entry, env) ((entry)->ops->sent_time(entry, env))
#define | TCPMON_ENTRY_TIME_DIFF(entry, env) ((entry)->ops->time_diff(entry, env))
#define | TCPMON_ENTRY_SENT_DATA(entry, env) ((entry)->ops->sent_data(entry, env))
#define | TCPMON_ENTRY_ARRIVED_DATA(entry, env) ((entry)->ops->arrived_data(entry, env))
#define | TCPMON_ENTRY_SENT_HEADERS(entry, env) ((entry)->ops->sent_headers(entry, env))
#define | TCPMON_ENTRY_ARRIVED_HEADERS(entry, env) ((entry)->ops->arrived_headers(entry, env))
#define | TCPMON_ENTRY_IS_SUCCESS(entry, env) ((entry)->ops->is_success(entry, env))
#define | TCPMON_ENTRY_SET_FORMAT_BIT(entry, env, format_bit) ((entry)->ops->set_format_bit(entry, env, format_bit))
#define | TCPMON_ENTRY_GET_FORMAT_BIT(entry, env) ((entry)->ops->get_format_bit(entry, env))
#define | TCPMON_ENTRY_GET_SENT_DATA_LENGTH(entry, env) ((entry)->ops->get_sent_data_length(entry, env))
#define | TCPMON_ENTRY_GET_ARRIVED_DATA_LENGTH(entry, env) ((entry)->ops->get_arrived_data_length(entry, env))
## Typedefs
typedef struct tcpmon_entry_ops | tcpmon_entry_ops_t
typedef struct tcpmon_entry | tcpmon_entry_t
## Functions
tcpmon_entry_t * | tcpmon_entry_create (const axutil_env_t *env)

## Detailed Description

represent entry of tcpmon